Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.groovy
Class BytecodeGroovyClassLoader.BytecodeClassCollector

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ClassgenCallback
          groovy.lang.GroovyClassLoader.ClassCollector
              org.jbehave.core.configuration.groovy.BytecodeGroovyClassLoader.BytecodeClassCollector

Enclosing class:
  BytecodeGroovyClassLoader

    public static class BytecodeGroovyClassLoader.BytecodeClassCollector

extends groovy.lang.GroovyClassLoader.ClassCollector

Constructor Summary
`BytecodeGroovyClassLoader.BytecodeClassCollector(Map<String,byte[]> classBytes, groovy.lang.GroovyClassLoader.InnerLoader loader, org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)`

Method Summary
`protected Class<?>` | `onClassNode(groovyjarjarasm.asm.ClassWriter classWriter, org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class groovy.lang.GroovyClassLoader.ClassCollector
`call, createClass, getDefiningClassLoader, getLoadedClasses`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytecodeGroovyClassLoader.BytecodeClassCollector

    public BytecodeGroovyClassLoader.BytecodeClassCollector(Map<String,byte[]> classBytes,
                                                            groovy.lang.GroovyClassLoader.InnerLoader loader,
                                                            org.codehaus.groovy.control.CompilationUnit unit,
                                                            org.codehaus.groovy.control.SourceUnit su)

Method Detail

### onClassNode

    protected Class<?> onClassNode(groovyjarjarasm.asm.ClassWriter classWriter,
                                   org.codehaus.groovy.ast.ClassNode classNode)

  Overrides:
    `onClassNode` in class `groovy.lang.GroovyClassLoader.ClassCollector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.